Skip to main content
`Ctrl`+`K`

# PetscLogHandlerStagePop

End the current logging stage in a log handler.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerStagePop(PetscLogHandler h, PetscLogStage stage)

Not collective

## Input Parameters

- h - the `PetscLogHandler`

- stage - a registered `PetscLogStage`

## Notes

Most users will use `PetscLogStagePop()`, which will call this function for all handlers registered with `PetscLogHandlerStart()`.

This function is called right after the stage is popped for the handler’s `PetscLogState`, so `PetscLogStateGetCurrentStage()` can be used to see what the next stage will be.

## See Also

Profiling, `PetscLogHandler`, `PetscLogStagePush()`, `PetscLogStagePop()`, `PetscLogHandlerStagePush()`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerStagePop_Default() in src/sys/logging/handler/impls/default/logdefault.c
PetscLogHandlerStagePop_Nested() in src/sys/logging/handler/impls/nested/lognested.c
PetscLogHandlerStagePop_Perfstubs() in src/sys/logging/handler/impls/perfstubs/logperfstubs.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages